Subject: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Gerd Möllmann <[email-masked]>
Date: Mon, 10 Feb 2025 14:24:24 +0100

martin rudalics <[email-masked]> writes:

>> This works better with the menu-bar, although the menu bar itself does
>> strange stuff while the menu is open. Don't know what that is.
>
> Still can't test it with emacs -Q -nw
>
> Debugger entered--Lisp error: (void-function cond*)

Is that an Emacs <= 30? In master, cond* is fboundp and autoloaded.

BTW, I made a branch here on my side today because things won't work
without a small addition to the C core, a hook that I called
x-popup-menu-function. Reason being that C calls x_popup_menu_1 which is
not exposed to Lisp.

It's still a bit early, I'll holler when I think I have something
more or less usable.